package org.processmining.traceclustering.algorithms.affinity;

import org.processmining.traceclustering.models.impl.CaseVector;

/**
 * Abstract class for vector similarity measures.
 * 
 * @author B.F.A. Hompes <b.f.a.hompes@tue.nl>
 *
 */
public abstract class AbstractVectorSimilarity {

	public abstract double computeSimilarity(CaseVector firstVector, CaseVector secondVector);

}