package org.processmining.traceclustering.models.impl;

import org.jfree.data.time.TimePeriodValuesCollection;
import org.processmining.traceclustering.models.AbstractCaseClustering;
import org.processmining.traceclustering.parameters.impl.TimeWindowParameters;

public class EvolutionaryCaseClustering extends AbstractCaseClustering {

	private static final long serialVersionUID = -8442982062995734984L;

	private TimeWindowParameters timeWindowParameters;
	private TimePeriodValuesCollection timeWindowValues;

	public TimeWindowParameters getTimeWindowParameters() {
		return timeWindowParameters;
	}

	public void setTimeWindowParameters(TimeWindowParameters timeWindowParameters) {
		this.timeWindowParameters = timeWindowParameters;
	}

	public TimePeriodValuesCollection getTimeWindowValues() {
		return timeWindowValues;
	}

	public void setTimeWindowValues(TimePeriodValuesCollection timeWindowValues) {
		this.timeWindowValues = timeWindowValues;
	}

	@Override
	public boolean equals(Object object) {
		if (!(object instanceof EvolutionaryCaseClustering))
			return false;

		return super.equals(object);
	}

}