package org.processmining.traceclustering.models.impl;

public enum TimeWindowType {
	//@formatter:off
	NUMBEROFEVENTS("A new window is made every given number of events."), 
	NUMBEROFMINUTES("A new window is made every given number of minutes.");
	//@formatter:on

	String description;

	TimeWindowType(String description) {
		this.description = description;
	}

	@Override
	public String toString() {
		return description;
	}

}
