package org.processmining.traceclustering.test;

import org.processmining.markovclustering.algorithms.clustering.impl.MCLAlgorithm_JAMA_Par;
import org.processmining.markovclustering.models.MCLMatrix;
import org.processmining.markovclustering.parameters.impl.MarkovClusteringParameters;

public class TestAlgorithm {

	public static void main(String[] args) {

		//		// Create matrix
		//		TraceMatrix m = new TraceMatrix(4);

		//		m.set(0, 0, 0.25);
		//		m.set(1, 0, 0.25);
		//		m.set(2, 0, 0.25);
		//		m.set(3, 0, 0.25);
		//		
		//		m.set(0, 1, 0.33);
		//		m.set(1, 1, 0.33);
		//		m.set(2, 2, 0);
		//		m.set(3, 1, 0.33);
		//		
		//		m.set(0, 2, 0.5);
		//		m.set(1, 2, 0);
		//		m.set(2, 2, 0.5);
		//		m.set(3, 2, 0);
		//
		//		m.set(0, 3, 0.33);
		//		m.set(1, 3, 0.33);
		//		m.set(2, 3, 0);
		//		m.set(3, 3, 0.33);

		// Create matrix
		MCLMatrix m = new MCLMatrix(5);

		m.set(0, 0, 1);
		m.set(1, 0, 0.289);
		m.set(2, 0, 0.289);
		m.set(3, 0, 0.289);
		m.set(4, 0, 0.772);

		m.set(0, 1, 0.289);
		m.set(1, 1, 1);
		m.set(2, 1, 1);
		m.set(3, 1, 1);
		m.set(4, 1, 0.267);

		m.set(0, 2, 0.289);
		m.set(1, 2, 1);
		m.set(2, 2, 1);
		m.set(3, 2, 1);
		m.set(4, 2, 0.267);

		m.set(0, 3, 0.289);
		m.set(1, 3, 1);
		m.set(2, 3, 1);
		m.set(3, 3, 1);
		m.set(4, 3, 0.267);

		m.set(0, 4, 0.772);
		m.set(1, 4, 0.267);
		m.set(2, 4, 0.267);
		m.set(3, 4, 0.267);
		m.set(4, 4, 1);

		System.out.println(m.toString());

		MarkovClusteringParameters param = new MarkovClusteringParameters();
		param.setExpansionParameter(2);
		param.setInflationParameter(2);

		//		m.addSelfLoop(1);
		//		m.columnNormalize();
		System.out.println(m.toString());
		MCLMatrix result = (new MCLAlgorithm_JAMA_Par()).apply(m, param);

		System.out.println(result.toString());
	}
}