package org.processmining.traceclustering.visualization;

import org.processmining.traceclustering.models.impl.CaseCluster;

/**
 * Edge class for tracecluster visualization.
 * 
 * @author B.F.A. Hompes <b.f.a.hompes@tue.nl>
 *
 */
public class Edge {

	private CaseCluster source, target;
	private Double weight;

	public Edge(CaseCluster source, CaseCluster target, Double weight) {
		this.setSource(source);
		this.setTarget(target);
		this.setWeight(weight);
	}

	public CaseCluster getSource() {
		return source;
	}

	public void setSource(CaseCluster source) {
		this.source = source;
	}

	public CaseCluster getTarget() {
		return target;
	}

	public void setTarget(CaseCluster target) {
		this.target = target;
	}

	public Double getWeight() {
		return weight;
	}

	public void setWeight(Double weight) {
		this.weight = weight;
	}

}