package org.processmining.traceclustering.visualization.transformers;

import java.awt.Color;
import java.awt.Paint;

import edu.uci.ics.jung.visualization.decorators.PickableEdgePaintTransformer;
import edu.uci.ics.jung.visualization.picking.PickedInfo;

/**
 * Transformer for the color of edges in the graph.
 * 
 * @author B.F.A. Hompes <b.f.a.hompes@tue.nl>
 *
 */
public class EdgeDrawPaintTransformer extends PickableEdgePaintTransformer<Object> {

	public EdgeDrawPaintTransformer(PickedInfo<Object> pi) {
		super(pi, Color.gray, Color.cyan);
	}

	public EdgeDrawPaintTransformer(PickedInfo<Object> pi, Paint draw_paint, Paint picked_paint) {
		super(pi, draw_paint, picked_paint);
	}

}